diff Resources/CMake/BoostConfiguration.sh @ 553:27d32fc6209a

simplifications to cmake, use a digest of boost 1.54.0 thanks bcp
author Sebastien Jodogne <s.jodogne@gmail.com>
date Tue, 17 Sep 2013 15:06:16 +0200
parents
children 2681bcc1eb37
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/Resources/CMake/BoostConfiguration.sh	Tue Sep 17 15:06:16 2013 +0200
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+set -e
+set -u
+
+## Starting with version 0.6.2, Orthanc is shipped with a subset of the
+## Boost libraries that is generated with the BCP tool:
+##
+## http://www.boost.org/doc/libs/1_54_0/tools/bcp/doc/html/index.html
+##
+## This script generates this subset.
+
+rm -rf /tmp/boost_1_54_0
+rm -rf /tmp/bcp/boost_1_54_0
+
+cd /tmp
+echo "Uncompressing the source of Boost 1.54.0..."
+tar xfz boost_1_54_0.tar.gz 
+
+echo "Generating the subset..."
+mkdir -p /tmp/bcp/boost_1_54_0
+bcp --boost=/tmp/boost_1_54_0 thread system locale date_time filesystem math/special_functions /tmp/bcp/boost_1_54_0
+cd /tmp/bcp
+
+echo "Compressing the subset..."
+tar cfz boost_1_54_0_bcpdigest.tar.gz boost_1_54_0
+ls -l boost_1_54_0_bcpdigest.tar.gz
+md5sum boost_1_54_0_bcpdigest.tar.gz